Bug 252946 - java/intellij-ultimate: update to 2020.3.1
Summary: java/intellij-ultimate: update to 2020.3.1
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-01-23 15:55 UTC by Matthias Gamsjager
Modified: 2021-02-17 11:59 UTC (History)
2 users (show)

See Also:
andoriyu: maintainer-feedback+


Attachments
git patch for 2020.3.1 (116.75 KB, patch)
2021-01-23 15:55 UTC, Matthias Gamsjager
no flags Details | Diff
git patch for 2020.3.1 (116.63 KB, patch)
2021-01-23 19:09 UTC, Matthias Gamsjager
no flags Details | Diff
git patch for 2020.3.1 (116.63 KB, patch)
2021-01-23 19:34 UTC, Matthias Gamsjager
no flags Details | Diff
2020.3.1 no-prefix (116.36 KB, patch)
2021-02-17 08:21 UTC, Matthias Gamsjager
no flags Details | Diff
2020.3.1-no-prefix-no-whiteline (118.25 KB, patch)
2021-02-17 08:26 UTC, Matthias Gamsjager
no flags Details | Diff
2020.3.1 LF (116.36 KB, patch)
2021-02-17 09:35 UTC, Matthias Gamsjager
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Gamsjager 2021-01-23 15:55:09 UTC
Created attachment 221843 [details]
git patch for 2020.3.1

Included is a patch for the 2020.3.1 release
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-23 19:06:15 UTC
The patch does not apply cleanly:

...

--- a/pkg-plist
+++ b/pkg-plist
@@ -1,4 +1,4 @@
-in/idea   <---- This doesn't look right.
+bin/idea
...
...

Would you mind checking this?

Thanks!
Comment 2 Matthias Gamsjager 2021-01-23 19:09:01 UTC
Created attachment 221848 [details]
git patch for 2020.3.1

Updated patch
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-23 19:23:52 UTC
(In reply to Matthias Gamsjager from comment #2)

Q/A: Extra line at the end of pkg-plist. Sorry I didn't catch it earlier

Also, if at all possible, I would remove this comment:

-# Based on the java/intellij port

It wrecks havoc with linters :-)

Thanks!
Comment 4 Matthias Gamsjager 2021-01-23 19:34:54 UTC
Created attachment 221851 [details]
git patch for 2020.3.1

removed whitelines and comments
Comment 5 Matthias Gamsjager 2021-01-24 09:54:12 UTC
There was also an issue with the terminal which is fixed upstream:
https://github.com/JetBrains/pty4j/pull/99

Should make it in time for 2021.1 

If it is needed you would have to recompile pty4j-0.11.4 yourself and replace the .jar in the '/usr/local/share/intellij-ultimate/lib/' directory
Comment 6 Matthias Gamsjager 2021-02-16 13:49:56 UTC
Any timeline on this? Bulk of the work is done except testing by others
Comment 7 Fernando Apesteguía freebsd_committer 2021-02-16 14:09:38 UTC
I can't apply the patch:

java/intellij-ultimate$ patch -p1 -E < !:1
patch -p1 -E < ~/Downloads/intellij-ultimate-2020.3.1.patch
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|From 8c8637b0d297de56bd2b1c314d52658f28ee93b1 Mon Sep 17 00:00:00 2001
|From: Matthias Gamsjager <mgamsjager@gmail.com>
|Date: Sat, 23 Jan 2021 16:44:06 +0100
|Subject: [PATCH] 2020.3.1
|
|---
| Makefile  |   6 +-
| distinfo  |   6 +-
| pkg-plist | 980 ++++++++++++++++++++++++++++--------------------------
| 3 files changed, 516 insertions(+), 476 deletions(-)
|
|diff --git a/Makefile b/Makefile
|index 88c3936..9cabb70 100644
|--- a/Makefile
|+++ b/Makefile
--------------------------
Patching file Makefile using Plan A...
patch: **** malformed patch at line 25: @@ -23,7 +23,7 @@ RUN_DEPENDS=  intellij-fsnotifier>0:java/intellij-fsnotifier

Mind you, the ports collection is still using subversion, not git (unlike src and docs)
Comment 8 Matthias Gamsjager 2021-02-16 14:58:15 UTC
Ok I'll see that I can make a patch file that works
Comment 9 Matthias Gamsjager 2021-02-17 08:21:01 UTC
Created attachment 222511 [details]
2020.3.1 no-prefix
Comment 10 Matthias Gamsjager 2021-02-17 08:23:41 UTC
Made a new patch  with the --no-prefix flag. I tested the patch as you did `patch -p1 -E`
Comment 11 Matthias Gamsjager 2021-02-17 08:26:54 UTC
Created attachment 222512 [details]
2020.3.1-no-prefix-no-whiteline
Comment 12 Fernando Apesteguía freebsd_committer 2021-02-17 08:55:16 UTC
(In reply to Matthias Gamsjager from comment #11)

252946.patch: unified diff output text\012- diff output, ASCII text, with CRLF line terminators

Can you get rid of those?
Comment 13 Matthias Gamsjager 2021-02-17 09:35:40 UTC
Created attachment 222514 [details]
2020.3.1 LF
Comment 14 Matthias Gamsjager 2021-02-17 09:37:21 UTC
Of course the 1 change I make in Sublime in Windows changes the line feed.

I updated the patch
Comment 15 Fernando Apesteguía freebsd_committer 2021-02-17 11:59:42 UTC
This PR is obsoleted.

Thanks for the work though.

------------------------------------------------------------------------
r563786 | fernape | 2021-02-02 07:23:27 +0100 (mar. 02 de feb. de 2021) | 9 líneas

java/intellij-ultimate: update to 2020.3.2

ChangeLog:
https://confluence.jetbrains.com/display/IDEADEV/IntelliJ+IDEA+2020.3.2+%28203.7148.57+build%29+Release+Notes

PR:     253151
Submitted by:   ale@FreeBSD.org
Approved by:    andoriyu@gmail.com (maintainer)